OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields | Protected Member Functions
RandomizedSpriteGroup Struct Reference
Inheritance diagram for RandomizedSpriteGroup:

## Data Fields
VarSpriteGroupScope | var_scope
| Take this object:
RandomizedSpriteGroupCompareMode | cmp_mode
| Check for these triggers:
byte | triggers
byte | count
byte | lowest_randbit
| Look for this in the per-object randomized bitmask:
byte | num_groups
| must be power of 2
const SpriteGroup ** | groups
| Take the group with appropriate index:
Data Fields inherited from SpriteGroup
SpriteGroupType | type
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
Tindex | index
| Index of this pool item.

## Protected Member Functions
const SpriteGroup * | Resolve (ResolverObject &object) const
| Base sprite group resolver.
Protected Member Functions inherited from SpriteGroup
| SpriteGroup (SpriteGroupType type)

## Additional Inherited Members
Public Member Functions inherited from SpriteGroup
virtual SpriteID | GetResult () const
virtual byte | GetNumResults () const
virtual uint16 | GetCallbackResult () const
Static Public Member Functions inherited from SpriteGroup
static const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject &object, bool top_level=true)
| ResolverObject (re)entry point.

## Detailed Description

Definition at line 193 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp